FROM operationbase:2.0 as build

RUN mv /ConstructionOperation /YangHuOperation

WORKDIR /YangHuOperation

COPY package.json /YangHuOperation

RUN mkdir tmp \
    && cnpm install

FROM base-alpine:latest

COPY --from=build /YangHuOperation /YangHuOperation

COPY . /YangHuOperation

WORKDIR /YangHuOperation

ENV NODE_ENV=prod

ENTRYPOINT babel-node operation.js
